## ceilometer 6.1.5

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

retrying!=1.3.0,>=1.2.3 # Apache-2.0
jsonpath-rw-ext>=0.1.9 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
kafka-python<1.0.0,>=0.9.5 # Apache-2.0
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
msgpack-python>=0.4.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan>=1.0.0 # BSD
oslo.messaging>=4.0.0,<=5.17.1 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-ceilometerclient>=2.2.1 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0,<7.0.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
WebOb>=1.2.3,<1.7.0 # MIT
WSME>=0.8 # MIT
# NOTE(jd) We do not import it directly, but WSME datetime string parsing
# behaviour changes when this library is installed
python-dateutil>=2.4.2 # BSD

=== debian/changelog ===
ceilometer (1:6.1.5-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1696177).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 09:34:34 +0100

ceilometer (1:6.1.4-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1668313).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 10:44:55 -0500

ceilometer (1:6.1.3-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1604007).
  * d/p/fix-fallback-meter-path.patch: Rebased.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 21 Jul 2016 11:34:17 -0400

ceilometer (1:6.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1601854).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Jul 2016 10:06:08 -0400

ceilometer (1:6.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 17:06:22 -0400

ceilometer (1:6.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Use OS_TEST_PATH to specify unit test path.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Mar 2016 21:28:43 -0400

ceilometer (1:6.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Patches rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 09:42:19 -0500

ceilometer (1:6.0.0~b2-0ubuntu3) xenial; urgency=medium

  * d/p/fix-fallback-meter-path.patch: Always use full path when testing
    for read of fallback meters file, resolving unit test failure.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Mar 2016 11:18:15 +0000

ceilometer (1:6.0.0~b2-0ubuntu2) xenial; urgency=medium

  * d/control: Drop python-gnocchiclient from BDs and move Depends to Suggests.
  * d/p/skip-gnocchiclient-tests.patch: Skip python-gnocchiclient tests as it
    and gnocchi are not supported in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Feb 2016 09:02:27 -0500

ceilometer (1:6.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align dependencies with upstream.
  * d/p/skip-gabbi.patch: Rebased patch to handle test changes.
  * d/p/disable-kafka.patch: Rebased patch to handle requirement updates.

 -- David Della Vecchia <ddv@canonical.com>  Sun, 24 Jan 2016 16:13:27 -0500

ceilometer (1:6.0.0~b1-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Mitaka:
    - d/control: Align dependencies with upstream.
    - d/p/skip-db-tests.patch: Dropped, no longer needed.
    - d/p/disable-kafka.patch: Rebase.
    - d/p/skip-gabbi.patch: Updated to handle more gabbi imports.
    - d/rules: Use oslo-config-generator to generate config file.

  [ David Della Vecchia ]
  * Upstream moved ceilometer-alarm-evaluator/notifier out of branch to aodh project:
    - d/control: Removed ceilometer-alarm-evaluator/notifier package.
    - d/t/control: Removed ceilometer-alarm-evaluator/notifier from test list.
    - d/t/test-daemons: Removed ceilometer-alarm-evaluator/notifier from daemon list.
    - d/t/test-services: Removed ceilometer-alarm-evaluator/notifier from services list.
    - d/ceilometer-alarm-evaluator.init.in: Removed file.
    - d/ceilometer-alarm-evaluator.install: Removed file.
    - d/ceilometer-alarm-notifier.init.in: Removed file.
    - d/ceilometer-alarm-notifier.install: Removed file.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 18 Dec 2015 08:25:39 -0500

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               python-gnocchiclient (>= 2.1.0),
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-awsauth,
                     python-babel,
                     python-ceilometerclient (>= 2.2.1),
                     python-contextlib2,
                     python-coverage,
                     python-croniter,
                     python-dateutil (>= 2.4.2),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:2.0.0),
                     python-hacking,
                     python-happybase (>= 0.5),
                     python-jsonpath-rw-ext (>= 0.1.9),
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-msgpack (>= 0.4.0),
                     python-neutronclient (>= 2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-os-win (>= 0.2.3),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-pysnmp4,
                     python-requests (>= 2.8.1),
                     python-retrying (>= 1.2.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webob,
                     python-webtest,
                     python-werkzeug,
                     python-wsme (>= 0.8),
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer

Package: python-ceilometer
Architecture: all
Depends: python-ceilometerclient (>= 2.2.1),
         python-croniter,
         python-dateutil (>= 2.4.2),
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 1:2.0.0),
         python-jsonpath-rw-ext (>= 0.1.9),
         python-jsonschema,
         python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-migrate (>= 0.9.6),
         python-msgpack (>= 0.4.0),
         python-neutronclient (>= 2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pastedeploy,
         python-pecan (>= 1.0.0),
         python-pysnmp4,
         python-requests (>= 2.8.1),
         python-retrying (>= 1.2.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-tooz (>= 1.28.0),
         python-webob,
         python-werkzeug,
         python-wsme (>= 0.8),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-gnocchiclient (>= 2.1.0),
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends: adduser,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Breaks: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~)
Replaces: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~)
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-polling
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: ceilometer-api
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ipmitool,
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
		TEMP_REZ=`mktemp -t` && \
			OS_TEST_PATH=./ceilometer/tests/unit testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_install:
	oslo-config-generator --config-file=etc/ceilometer/ceilometer-config-generator.conf
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository
	rm -rf pbr*.egg
	rm -f debian/*.init debian/*.service debian/*.upstart

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/ceilometer ceilometer-(\d.*)\.tar\.gz

## ceilometer 7.0.0~b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=0.11.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
jsonpath-rw-ext>=0.1.9 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
kafka-python<1.0.0,>=0.9.5 # Apache-2.0
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
msgpack-python>=0.4.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan>=1.0.0 # BSD
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.9.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
WebOb>=1.2.3 # MIT
WSME>=0.8 # MIT
# NOTE(jd) We do not import it directly, but WSME datetime string parsing
# behaviour changes when this library is installed
python-dateutil>=2.4.2 # BSD

=== debian/changelog ===
ceilometer (1:7.0.0~b2-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 15:53:33 +0000

ceilometer (1:7.0.0~b2-1) experimental; urgency=medium

  * Updated Danish translation of the debconf templates (Closes: #830640).
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add debian/function.sh as it's gone away upstream.
  * Black list failed unit test:
    - agent.test_manager.TestRunTasks.test_batching_polled_samples_false
  * Also package /usr/bin/ceilometer-db-legacy-clean.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jul 2016 19:57:15 +0200

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: mongodb,
                     git,
                     python-awsauth,
                     python-concurrent.futures,
                     python-contextlib2,
                     python-coverage,
                     python-dateutil (>= 2.4.2),
                     python-debtcollector (>= 1.2.0),
                     python-elasticsearch (>= 1.3.0),
                     python-fixtures (>= 1.3.1),
                     python-futurist (>= 0.11.0),
                     python-gabbi (>= 1.11.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-gnocchiclient (>= 2.2.0),
                     python-happybase,
                     python-jsonpath-rw-ext (>= 0.1.9),
                     python-jsonschema,
                     python-kafka (>= 0.9.5),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-kombu,
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-msgpack (>= 0.4.0),
                     python-mysqldb,
                     python-neutronclient (>= 1:4.2.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstackdocstheme (>= 1.0.3),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.9.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-os-testr (>= 0.4.1),
                     python-os-win (>= 0.2.3),
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-pysnmp4,
                     python-requests (>= 2.8.1),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib.httpdomain,
                     python-sphinxcontrib-pecanwsme,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.9.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tempest (>= 1:12.1.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webob,
                     python-webtest (>= 2.0),
                     python-werkzeug,
                     python-wsme (>= 0.8),
                     python-yaml,
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/ceilometer.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: python-ceilometer
Section: python
Architecture: all
Depends: libjs-jquery,
         python-concurrent.futures,
         python-dateutil (>= 2.4.2),
         python-debtcollector (>= 1.2.0),
         python-futurist (>= 0.11.0),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet,
         python-happybase,
         python-jsonpath-rw-ext (>= 0.1.9),
         python-jsonschema,
         python-kafka (>= 0.9.5),
         python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-kombu,
         python-lxml,
         python-migrate (>= 0.9.7),
         python-msgpack (>= 0.4.0),
         python-mysqldb,
         python-neutronclient (>= 1:4.2.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.9.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.vmware (>= 1.16.0),
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-pymongo,
         python-pymysql,
         python-pysnmp4,
         python-requests (>= 2.8.1),
         python-retrying,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.9.0),
         python-swiftclient (>= 1:2.2.0),
         python-tooz (>= 1.28.0),
         python-webob,
         python-werkzeug,
         python-wsme (>= 0.8),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

Package: ceilometer-common
Architecture: all
Depends: adduser,
         dpkg-dev,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-collector
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack efficient metering counters system - collector service
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service.

Package: ceilometer-api
Architecture: all
Depends: adduser,
         ceilometer-common (= ${binary:Version}),
         debconf,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack efficient metering counters system (API service)
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: ceilometer-agent-compute
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-central
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - central agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ipmitool,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

Package: ceilometer-agent-notification
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - notification agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@  --with python2,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst debian/ceilometer-api.config debian/ceilometer-api.postinst

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	dh_install --fail-missing

	# Manage ceilometer.conf
	mkdir -p $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf \
		--wrap-width 140 \
		--namespace ceilometer \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	sed -i 's|[# \t]*auth_protocol[\t ]*=.*|auth_protocol=http|' $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	chmod 0644 $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	sed -i 's|#connection[ \t]*=.*|connection=mongodb://localhost:27017/ceilometer|' $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.postinst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		bash -x ./debian/setup-test-env-mongodb.sh testr run --subunit 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*|.*meter\.test_notifications\.TestMeterProcessing\.test_fallback_meter_path.*|.*agent\.test_manager\.TestRunTasks\.test_batching_polled_samples_false.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html
	mkdir -p $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static
	touch $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## ceilometer 7.0.0~b3

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
+cotyledon
 futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
 futurist>=0.11.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
@@ -20,7 +21,6 @@
 oslo.policy>=0.5.0 # Apache-2.0
 oslo.reports>=0.6.0 # Apache-2.0
 oslo.rootwrap>=2.0.0 # Apache-2.0
-oslo.service>=1.0.0 # Apache-2.0
 PasteDeploy>=1.5.0 # MIT
 pbr>=1.6 # Apache-2.0
 pecan>=1.0.0 # BSD

=== debian/changelog ===
ceilometer (1:7.0.0~b3-1+427~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 16 Sep 2016 12:01:06 +0000

ceilometer (1:7.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Points .gitreview to OpenStack packaging-deb's Gerrit.
  * Fixed installation of files in /etc/ceilometer for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Sep 2016 22:58:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 override_dh_install:
 	rm -rf $(CURDIR)/debian/tmp
 	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
+	rm -rf $(CURDIR)/debian/tmp/usr/etc
+
 	dh_install --fail-missing
 
 	# Manage ceilometer.conf

## ceilometer 7.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
 lxml>=2.3 # BSD
 msgpack-python>=0.4.0 # Apache-2.0
-oslo.db>=4.1.0 # Apache-2.0
 oslo.concurrency>=3.5.0 # Apache-2.0
 oslo.config>=3.9.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
@@ -42,7 +41,6 @@
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
 stevedore>=1.9.0 # Apache-2.0
 tooz>=1.28.0 # Apache-2.0
-Werkzeug>=0.7 # BSD License
 WebOb>=1.2.3 # MIT
 WSME>=0.8 # MIT
 # NOTE(jd) We do not import it directly, but WSME datetime string parsing

=== debian/changelog ===
ceilometer (1:7.0.0~rc1-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Build-Depends on openstack-pkg-tools (>= 53~).
  * Fixed EPOCH for oslotest.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 01 Oct 2016 08:06:50 +0000

ceilometer (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Points .gitreview to OpenStack packaging-deb's Gerrit.
  * Fixed installation of files in /etc/ceilometer for this release.
  * Also install /usr/bin/ceilometer-upgrade.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Sep 2016 22:58:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: mongodb,
-                     git,
+Build-Depends-Indep: git,
+                     mongodb,
                      python-awsauth,
                      python-concurrent.futures,
                      python-contextlib2,
+                     python-cotyledon,
                      python-coverage,
                      python-dateutil (>= 2.4.2),
                      python-debtcollector (>= 1.2.0),
@@ -42,6 +43,9 @@
                      python-neutronclient (>= 1:4.2.0),
                      python-novaclient (>= 2:2.29.0),
                      python-openstackdocstheme (>= 1.0.3),
+                     python-os-api-ref (>= 0.1.0),
+                     python-os-testr (>= 0.4.1),
+                     python-os-win (>= 0.2.3),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.5.0),
                      python-oslo.config (>= 1:3.9.0),
@@ -54,13 +58,10 @@
                      python-oslo.reports (>= 1.0.0),
                      python-oslo.rootwrap (>= 2.0.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.service (>= 1.0.0),
                      python-oslo.utils (>= 3.5.0),
                      python-oslo.vmware (>= 1.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
-                     python-os-testr (>= 0.4.1),
-                     python-os-win (>= 0.2.3),
+                     python-oslotest (>= 1:1.10.0),
                      python-pastedeploy,
                      python-pecan (>= 1.0.0),
                      python-psycopg2 (>= 2.5),
@@ -70,8 +71,8 @@
                      python-requests (>= 2.8.1),
                      python-retrying,
                      python-six (>= 1.9.0),
+                     python-sphinxcontrib-pecanwsme,
                      python-sphinxcontrib.httpdomain,
-                     python-sphinxcontrib-pecanwsme,
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.9.0),
                      python-swiftclient (>= 1:2.2.0),
@@ -88,8 +89,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/ceilometer.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/ceilometer.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ceilometer
+Vcs-Git: https://git.openstack.org/openstack/deb-ceilometer
 Homepage: http://wiki.openstack.org/Ceilometer
 
 Package: python-ceilometer
@@ -97,6 +98,7 @@
 Architecture: all
 Depends: libjs-jquery,
          python-concurrent.futures,
+         python-cotyledon,
          python-dateutil (>= 2.4.2),
          python-debtcollector (>= 1.2.0),
          python-futurist (>= 0.11.0),
@@ -127,7 +129,6 @@
          python-oslo.reports (>= 1.0.0),
          python-oslo.rootwrap (>= 2.0.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.service (>= 1.0.0),
          python-oslo.utils (>= 3.5.0),
          python-oslo.vmware (>= 1.16.0),
          python-pastedeploy,

## ceilometer 7.0.0

=== debian/changelog ===
ceilometer (1:7.0.0-1+7~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 06 Oct 2016 21:19:26 +0000

ceilometer (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:30:44 +0200

ceilometer (1:7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools (>= 53~).
  * Fixed EPOCH for oslotest.
  * Debconf translation:
    - it (Closes: #838500).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:37:20 +0200

## ceilometer 7.0.1

=== requirements.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
 msgpack-python>=0.4.0 # Apache-2.0
 oslo.concurrency>=3.5.0 # Apache-2.0
 oslo.config>=3.9.0 # Apache-2.0
+oslo.db>=4.1.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.policy>=0.5.0 # Apache-2.0

=== debian/changelog ===
ceilometer (1:7.0.1-1+433~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 24 Feb 2017 20:15:27 +0000

ceilometer (1:7.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Install missing files (Closes: #848586).

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Dec 2016 16:57:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 53~),
@@ -89,8 +89,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ceilometer
-Vcs-Git: https://git.openstack.org/openstack/deb-ceilometer
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ceilometer?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-ceilometer -b debian/newton
 Homepage: http://wiki.openstack.org/Ceilometer
 
 Package: python-ceilometer
@@ -287,4 +287,3 @@
          ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack efficient metering counters system - notification agent
- Ceilometer aims to deliver a Single Point Of Contact for billing systems,

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	testr init
 	set -e ; \
 		TEMP_REZ=`mktemp -t` ; \
-		bash -x ./debian/setup-test-env-mongodb.sh testr run --subunit 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*|.*meter\.test_notifications\.TestMeterProcessing\.test_fallback_meter_path.*|.*agent\.test_manager\.TestRunTasks\.test_batching_polled_samples_false.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
+		bash -x ./debian/setup-test-env-mongodb.sh testr run --subunit --parallel 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*|.*meter\.test_notifications\.TestMeterProcessing\.test_fallback_meter_path.*|.*agent\.test_manager\.TestRunTasks\.test_batching_polled_samples_false.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ;
 	testr slowest
